Synq Docs
Management APIEmail domains

List an org's sending domains

Needs `org.emailDomains.view`, on any plan.

GET/v1/orgs/{org}/email-domains

Needs org.emailDomains.view, on any plan.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

Query Parameters

limit?integer

At most this many items, 200 at the most.

Range1 <= value <= 200
Default50
cursor?string

The previous page's next_cursor, for the page after it.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/email-domains"
{  "data": [    {      "id": "string",      "domain": "string",      "status": "string",      "records": [        {          "purpose": "string",          "type": "string",          "host": "string",          "value": "string",          "required": true,          "status": "string",          "seen": "string"        }      ],      "problem": "string",      "used_by": [        "string"      ],      "verified_at": "2019-08-24T14:15:22Z",      "last_checked_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}